Submitted by : 127.0.0.1 at: 2005-09-20T05:36:17+00:00 (12 years ago)
Name :
Category : Severity : Status :
Optional subject :  
Optional comment :

I am running ZWiki 0.45 within Plone 2.1 final in Zope 2.8.1. I don not see my wysiwig editor. IF I move a page from a previous wiki into the folder and then attempt to edit it, it shows the editing tab last used, ie Epoz . But once I make the edit, there is no further edit buttons. All new wiki pages do not see any wysiwig editor buttons.

See also: #1057 zwiki DOES NOT SUPPORT kupu YET.

... --Simon Michael, Tue, 20 Sep 2005 06:48:06 -0700 reply

Does your new wiki allow the 'html' page type ? The "allowed page types" section at http://zwiki.org/Configuring should help.

... --SnakeZZ?, Tue, 20 Sep 2005 08:20:51 -0700 reply

I have the same problem and nope... that doesn't help here either

property change --SnakeZZ?, Wed, 21 Sep 2005 01:03:53 -0700 reply

Severity: normal => serious

more details needed --simon, Thu, 22 Sep 2005 07:56:07 -0700 reply

Hi, I can't reproduce it on plone.zwiki.org. Do you have Epoz installed in plone setup -> add/remove programs ?

more details needed --simon, Thu, 22 Sep 2005 07:59:02 -0700 reply

And does it appear in /portal_properties/site_properties -> available editors ?

Details --Thu, 22 Sep 2005 15:40:15 -0700 reply

I did have Epox 2.01 installed but with Kupu selected. Even when I remove the Epoz folder from the Products directory, Epoz remains a selectable editor. So I thought, hmm maybe this is the problem.

So I created a fresh Plone 2.1 site and installed only zWiki. No Plone, not "nothin". I installed this Zwiki folder in the root of this new Plone site. I then added mail_replyto in one, then two places using the Properties Setting for the New PloneSite?. First I put this property in the root of the Plone site (not the Zope root) then I installed it in the Properties settings for the ZWkin? "folder itsel. Problem persists.

I have bounced the zope server and reloaded the client web page. Still no subscribe tab. I put a user name in the subscriber listbox. No go either. This is the latest Plone 2.1 (not cvs)

I only get the tab in my Plone 2.05 sites.

oops --Thu, 22 Sep 2005 15:52:48 -0700 reply

I am mixing my posts here. I do not see Kupu's editing tools even when I create a new Plone 2.1 site with only !zWiki installed. I removed Epoz from the Product Directory to see if that was the problem. Previously I did have Epoz and Kupu within the PRoduct? directory and I also had both of them installed via Plone's site setup. So whether or not I have Epoz installed, I still do not see the wysiwyg editing tools.

The other problem I have with Plone 2.1 is that I can not see the subscribe tab. With Plone 2.05, both the wysiwig editor controls appear and the subscribe tab appears. Maybe its my version of Plone 2.1? I have the latest archetypes 1.3.4 final, mimetypesregistry 1.3.6 final01, prtaltransform 1.3.7 final01, and kupu 1.3 All of these problems appear together when I load zWiki 0.45

Epoz vs Kupu --Thu, 22 Sep 2005 16:05:36 -0700 reply

The other gosh darn problem I have is that I can not get Epoz to work with the latest version of Plone 2.1 When I had the release candidate of Plone 2.1, I could uninstall Kupu and install Epoz 2.01 and Epoz worked fine. Now I am forced to use Kupu with this latest Plone 2.1 release.

And with Kupu 1.3 (no release candidate) I have two problems, no wysiwig editing, no subscription tag.

oops --simon, Thu, 22 Sep 2005 17:29:42 -0700 reply

Yes, we really need to discuss these things separately. We have so far: this issue (#1161 Can't Use My WYSIWIG Editors WIthin Plone 2.1 on Version ZWiki 0.45), #1160 No Subscribe Function in Plone 2.1 and #1057 zwiki DOES NOT SUPPORT kupu YET :) So on this page let's talk about epoz and why it's stopped working for you.

Would you like to chat about this on #zwiki tomorrow ? Perhaps you can show me the bug(s) or I can show you what's missing more quickly.

Most Definitely --Thu, 22 Sep 2005 18:55:36 -0700 reply

Point the way.

Most Definitely --simon, Thu, 22 Sep 2005 19:11:43 -0700 reply

http://zwiki.org -> Discussion -> #zwiki, see AboutZwikiDiscussion if you need a chat client.

Plone 2.1 and Epoz 2.0.x is Borked --Fri, 23 Sep 2005 23:37:53 -0700 reply

The problem appears to be between Epoz and Plone 2.1 While you have an older version of Epoz working with Plone 2.1, I can't get any version to work. For the life of me I can't see how you are able to get Epoz working with Plone 2.1 latest release. The developer of Epoz says that he can reproduce my problem but he has no desire to fix it since he doesn't use Plone any more. So you either have some mysterious combo that permits your version of Epoz to work with Plone 2.1 or you're pullin our leg. :). Anyways here is what Maik says...

Hi,

I can reproduce the problem, but I have no idea how to fix it... I don't use Plone anymore, so I'm not going to spend much time to fix this issue...

My guess: Epoz needs to register a handler to the form-submit-button and maybe Plone 2.1 does this as well, so Epoz can't synchronize the wysiwyg-area with the form. But I have no idea where to look with billions of templates lying around in Plone...

Sorry, Maik

Temporary Workaround --Sat, 24 Sep 2005 10:28:55 -0700 reply

The problem is that Plone 2.1 broke backwards compatability with Epoz. Maik was good enough to come up with a temporary quick fix. What other problems this fix creates is anybody's guess but since he is not using Plone, he has little incentive to solve their problems.

My guess why you didn't see the Epoz not working in Plone 2.1 is because of the way that you invoke Epoz. You do not read the editor setting that the user makes in their personal preferences. But hey what do I know.

Enough of my musings. Here is the work around by Maik.

Customize portal_skins/plone_ecmascript/formUnload.js and delete all content of this file, then clear your browser-cache and Epoz should be start working again (at least it does for me). Maybe you can track down the problem (if you want to) to a better solution,

Cheers, Maik

Problem Fixed! --Sat, 24 Sep 2005 12:19:01 -0700 reply

I have finally solved the mystery! First of all, Plone 2.1 does really bork Epoz. And if you want Epoz to work, you need to apply the fix that I posted previously. That is customize "portal_skins/plone_ecmascript/formUnload.js" and delete the contents of this file, save it, then clear the browser cache. The folks at Plone need to fix this thing properly.

Now with regarding the mystery behind Epoz working/not working with Plone 2.1. The answer is that it does work afterall. With the latest release Plone 2.1 does not prevent zWiki from using Epoz. (While at one point things stopped working for me, when I clean up my Products directory with Plone, and start all over again, Epoz does indeed work, even if it does not work within Plone 2.1 itself.

What will confuse some of you/us is the following. In order to see the Epoz toolbar, you need to be in the html mode. Thus if a page was creted using structured text, then when you open it, save it as html. Back out of the page and re-enter and voila, you will see the Epoz toolbar. Not only that, you will be able to save changes to the wiki page and they will be recorded.

If you use your Epoz editor to save a normal Plone page or document, Epoz will not register those changes unless you have performed the quick fix that I mentioned. It might be confusing but the great news is that zwiki does not depend upon which personal editor one has chosen to use throughout Plone 2.1 So if you want to remain with kupu, do so, as long as Epoz is installed, zwiki, being the well behave, mild mannered friendly software package that it is, will quietly register Epoz and begin using it. Thanks to Maik's ingeniously simplistica way of allowing a developer to evoke Epoz.

So, there you go. Another problem solved and closed. (hehe .. ok, maybe I was part of the problem in the first place)

property change --Sat, 24 Sep 2005 14:40:41 -0700 reply

Status: open => closed

repair --frank, Sun, 03 Dec 2006 13:38:21 -0800 reply

Name: '#1161 paule' => '#1161 Can't use my WYSIWIG editors within plone 2.1 on version ZWiki 0.45' Category: user-rating => user-editing-epoz Severity: funded => normal